GH-REPO-SYNC(1)

NAME

gh-repo-sync - Sync a repository

SYNOPSIS

gh repo sync [<destination-repository>] [flags]

DESCRIPTION

Sync destination repository from source repository. Syncing uses the default branch of the source repository to update the matching branch on the destination repository so they are equal. A fast forward update will be used except when the --force flag is specified, then the two branches will by synced using a hard reset.

Without an argument, the local repository is selected as the destination repository.

The source repository is the parent of the destination repository by default. This can be overridden with the --source flag.

OPTIONS

-b, --branch <string>
    Branch to sync (default [default branch])

--force
    Hard reset the branch of the destination repository to match the source repository

-s, --source <string>
    Source repository

EXAMPLE
    # Sync local repository from remote parent
    $ gh repo sync
    # Sync local repository from remote parent on specific branch
    $ gh repo sync --branch v1
    # Sync remote fork from its parent
    $ gh repo sync owner/cli-fork
    # Sync remote repository from another remote repository
    $ gh repo sync owner/repo --source owner2/repo2

SEE ALSO

gh-repo(1)